Subject: Re: bug#11540: [PATCH] tee: add a flag to ignore SIGPIPE

From: Igor Ippolitov <[email-masked]>
Date: Wed, 23 May 2012 17:25:17 +0400

2012/5/22 Pádraig Brady <[email-masked]>

>
> I checked back and there was a very similar patch nearly 4 years ago.
> http://lists.gnu.org/archive/html/bug-coreutils/2008-10/msg00067.html
> I think there was general agreement in the thread on its merits.
>
> I wonder though, would a higher level option be more appropriate?
> I think what's being configured here is whether to exit early on write
> error,
> whether it is to one of the files or stdout. Why would you want
> to treat them differently? Also you could get SIGPIPEs I think
> if one of the files was >(a process).
>
> The default would be to diagnose write errors,
> and that could be changed with:
>
> --write-error={[cont],ignore,exit}
>
> cheers,
> Pádraig.
>

I can write a patch that would let you choose, what to do on write errors.

Currently, I can't understand, why previous patch (in thread you pointed
out) is not in tee.
I'm not familiar with POSIX, so I appreciate any guidance in what should I
do next. What should I read and implement to make tee continuing writing
files faster receiving error on writing to a pipe?